repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v2.5.0
    hooks:
      - id: check-added-large-files
      - id: check-docstring-first
      - id: check-json
      - id: check-yaml
      - id: debug-statements
      - id: fix-encoding-pragma
        args: [--remove]
  - repo: https://github.com/asottile/pyupgrade
    rev: v2.2.0
    hooks:
      - id: pyupgrade
  - repo: https://gitlab.com/pycqa/flake8
    rev: 3.7.9
    hooks:
      - id: flake8
        additional_dependencies: [
          '-e', 'git+https://github.com/pycqa/pyflakes@1911c20#egg=pyflakes',
          '-e', 'git+https://github.com/pycqa/pycodestyle@d219c68#egg=pycodestyle',
        ]
  - repo: https://github.com/pre-commit/mirrors-mypy
    rev: v0.770
    hooks:
      - id: mypy